<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/PTree/Visitor.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Visitor.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/PTree/Visitor.hh</b>
<div><a href="../../../Source/Synopsis/PTree/Visitor.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/PTree/Visitor.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">PTree<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html" target="content" title="(class)">Visitor</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessDecl_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAccessSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lArrayExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lArrowMemberExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAssignExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lAtom_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lBlock_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lBrace_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lBreakStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCaseStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lClassBody_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lClassSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCommentedAtom_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lCondExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lContinueStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclaration_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDeclarator_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDefaultStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDeleteExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDoStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDotMemberExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lDupAtom_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lEnumSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lExprStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lExpression_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lExternTemplate_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lForStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lFstyleCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lFuncallExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lFunctionDefinition_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lGotoStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lIdentifier_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lIfStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lInfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKeyword_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mAuto_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mBool_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mBreak_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mCase_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mCatch_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mChar_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mClass_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mConst_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mContinue_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDefault_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDelete_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDo_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mDouble_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mElse_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mExtern_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFloat_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFor_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mFriend_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mGoto_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mIf_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mInline_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mInt_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mLong_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mMutable_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mNamespace_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mNew_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mOperator_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mPrivate_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mProtected_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mPublic_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mRegister_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mReturn_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mShort_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mSigned_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mStatic_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mStruct_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mSwitch_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTemplate_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mThis_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mThrow_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTry_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTypedef_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mTypename_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUnion_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUnsigned_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mUsing_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVirtual_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVoid_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mVolatile_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mWChar_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lKwd_mWhile_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lLabelStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lLinkageSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lList_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lLiteral_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lMetaclassDecl_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceAlias_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNewExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lNode_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lOffsetofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lParameterDeclaration_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lParenExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lPmExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lPostfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lReturnStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lSizeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lSwitchStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateDecl_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateInstantiation_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lThrowExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTryStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeParameter_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypedef_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeidExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUnaryExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUserAccessSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDeclaration_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDirective_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#visit_lWhileStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Visitor.html#_tVisitor_l_r" target="content" title="(member function)">~Visitor</a></div></div>
</div>
</div>

</body>
</html>
